Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantDouble

    java.lang.Object
      |
      +--org.apache.bcel.classfile.Constant
            |
            +--org.apache.bcel.classfile.ConstantDouble

All Implemented Interfaces:
  java.lang.Cloneable, ConstantObject, Node, java.io.Serializable

public final class ConstantDouble
extends Constant
implements ConstantObject

This class is derived from the abstract Constant class and represents a reference to a Double object.

Version:
  $Id: ConstantDouble.java,v 1.2 2002/03/11 16:16:35 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantDouble(ConstantDouble c)` Initialize from another object.
`ConstantDouble(double bytes)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
`void` | `dump(java.io.DataOutputStream file)` Dump constant double to file stream in binary format.
`double` | `getBytes()`
`java.lang.Object` | `getConstantValue(ConstantPool cp)`
`void` | `setBytes(double bytes)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, getTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantDouble

    public ConstantDouble(double bytes)

Parameters:
  `bytes` - Data

### ConstantDouble

    public ConstantDouble(ConstantDouble c)

  Initialize from another object.

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

### dump

    public final void dump(java.io.DataOutputStream file)
                    throws java.io.IOException

  Dump constant double to file stream in binary format.

  Specified by:
    `dump` in class `Constant`
  Parameters:
    `file` - Output file stream
  Throws:
    `java.io.IOException`

### getBytes

    public final double getBytes()

  Returns:
    data, i.e., 8 bytes.

### setBytes

    public final void setBytes(double bytes)

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation.

### getConstantValue

    public java.lang.Object getConstantValue(ConstantPool cp)

  Specified by:
    `getConstantValue` in interface `ConstantObject`
  Returns:
    Double object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.